{ lib, config, ... }: {

  config = lib.mkIf (config.homecfg.make.gui) {
    programs.zathura = {
      enable = true;
      extraConfig = ''
        set default-fg                "#${config.colorScheme.colors.base06}"
        set default-bg 			          "#${config.colorScheme.colors.base00}"

        set completion-bg		          "#${config.colorScheme.colors.base02}"
        set completion-fg		          "#${config.colorScheme.colors.base06}"
        set completion-highlight-bg	  "#${config.colorScheme.colors.base03}"
        set completion-highlight-fg	  "#${config.colorScheme.colors.base06}"
        set completion-group-bg		    "#${config.colorScheme.colors.base01}"
        set completion-group-fg		    "#${config.colorScheme.colors.base0C}"

        set statusbar-fg		          "#${config.colorScheme.colors.base06}"
        set statusbar-bg		          "#${config.colorScheme.colors.base01}"

        set notification-bg		        "#${config.colorScheme.colors.base01}"
        set notification-fg		        "#${config.colorScheme.colors.base06}"
        set notification-error-bg	    "#${config.colorScheme.colors.base01}"
        set notification-error-fg	    "#${config.colorScheme.colors.base0F}"
        set notification-warning-bg	  "#${config.colorScheme.colors.base01}"
        set notification-warning-fg	  "#${config.colorScheme.colors.base09}"

        set inputbar-fg			          "#${config.colorScheme.colors.base06}"
        set inputbar-bg 		          "#${config.colorScheme.colors.base01}"

        set recolor-lightcolor		    "#${config.colorScheme.colors.base00}"
        set recolor-darkcolor		      "#${config.colorScheme.colors.base06}"

        set index-fg			            "#${config.colorScheme.colors.base06}"
        set index-bg			            "#${config.colorScheme.colors.base00}"
        set index-active-fg		        "#${config.colorScheme.colors.base06}"
        set index-active-bg		        "#${config.colorScheme.colors.base01}"

        set render-loading-bg		      "#${config.colorScheme.colors.base00}"
        set render-loading-fg		      "#${config.colorScheme.colors.base06}"

        set highlight-color		        "#${config.colorScheme.colors.base04}"
        set highlight-fg              "#${config.colorScheme.colors.base0E}"
        set highlight-active-color	  "#${config.colorScheme.colors.base0E}"

      '';
    };
  };
}
