{ inputs, lib, config, ... }:
with lib; {
  options.homecfg = {
    username = mkOption { type = types.str; };
    wm = mkOption {
      type = types.enum [ "Wayland" "X11" ];
      default = "Wayland";
    };
    make = {
      cli = mkOption {
        type = types.bool;
        default = true;
      };
      gui = mkOption {
        type = types.bool;
        default = false;
      };
      game = mkOption {
        type = types.bool;
        default = false;
      };
      power = mkOption {
        type = types.bool;
        default = false;
      };
    };
    git = {
      username = mkOption { type = types.str; };
      email = mkOption { type = types.str; };
      key = mkOption { type = types.str; };
    };
  };

  imports = with inputs; [
    nix-colors.homeManagerModules.default
    ../../shared/colors
  ];

}
