{ lib, config, pkgs, ... }:
let cfg = config.hostcfg.make.gui;
in {
  config = lib.mkIf cfg {

    environment.systemPackages = with pkgs; [ hyprland ];
    # environment.systemPackages = with pkgs; [ bspwm ];

    services.greetd = {
      enable = true;
      settings = rec {
        initial_session = {
          command = "zsh -c '${pkgs.hyprland}/bin/Hyprland'";
          user = "${config.hostcfg.username}";
        };
        default_session = initial_session;
      };
    };
    environment.etc."greetd/environments".text = ''
      Hyprland
    '';
  };
}

