{ lib, config, ... }:
with lib; {
  options.hostcfg = {
    hostname = mkOption { type = types.str; };
    username = mkOption { type = types.str; };
    make = {
      cli = mkOption {
        type = types.bool;
        default = true;
      };
      gui = mkOption {
        type = types.bool;
        default = false;
      };
      virt = mkOption {
        type = types.bool;
        default = true;
      };
      power = mkOption {
        type = types.bool;
        default = false;
      };
      game = mkOption {
        type = types.bool;
        default = false;
      };
    };
    net = {
      wlp = {
        enable = mkOption { type = types.bool; };
        nif = mkOption { type = types.str; };
      };
      wg = {
        enable = mkOption {
          type = types.bool;
          default = true;
        };
        ip4 = mkOption { type = types.str; };
        ip6 = mkOption { type = types.str; };
        pk = mkOption { type = types.str; };
      };
    };
  };
}
