{ config, inputs, ... }: {
  imports = with inputs.hardware.nixosModules; [
    ./hardware-configuration.nix
    common-cpu-intel
    common-gpu-intel
  ];

  hostcfg = {
    hostname = "avalon";
    username = "sora";
    make = {
      gui = false;
      cli = true;
      virt = true;
      power = false;
      game = false;
    };
    net = {
      wlp = {
        enable = false;
        nif = "";
      };
      wg = {
        enable = true;
        ip4 = "10.10.1.2/32";
        ip6 = "fd10:10:10::2/128";
        pk = config.sops.secrets.avalon_wg_priv.path;
      };
    };
  };
}

